$(document).ready(function() {
    var dropdownSelectors = $('.dropdown, .dropup');
    function dropdownEffectData(target) {
        var effectInDefault = null,
            effectOutDefault = null;
        var dropdown = $(target),
            dropdownMenu = $('.dropdown-menu', target);
        //var parentUl = dropdown.parents('ul.nav');
        var parentUl = dropdown.parents('body');
        if (parentUl.size() > 0) {
            effectInDefault = parentUl.data('dropdown-in') || null;
            effectOutDefault = parentUl.data('dropdown-out') || null;
        }
        return {
            target:       target,
            dropdown:     dropdown,
            dropdownMenu: dropdownMenu,
            effectIn:     dropdownMenu.data('dropdown-in') || effectInDefault,
            effectOut:    dropdownMenu.data('dropdown-out') || effectOutDefault,
        };
    }
    function dropdownEffectStart(data, effectToStart) {
        if (effectToStart) {
            data.dropdown.addClass('dropdown-animating');
            data.dropdownMenu.addClass('animated');
            data.dropdownMenu.addClass(effectToStart);
        }
    }

    function dropdownEffectEnd(data, callbackFunc) {
        var animationEnd = 'webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend';
        data.dropdown.one(animationEnd, function() {
            data.dropdown.removeClass('dropdown-animating');
            data.dropdownMenu.removeClass('animated');
            data.dropdownMenu.removeClass(data.effectIn);
            data.dropdownMenu.removeClass(data.effectOut);
            if(typeof callbackFunc == 'function'){
                callbackFunc();
            }
        });
    }
    dropdownSelectors.on({
        "show.bs.dropdown": function () {
            var dropdown = dropdownEffectData(this);
            dropdownEffectStart(dropdown, dropdown.effectIn);
        },
        "shown.bs.dropdown": function () {
            var dropdown = dropdownEffectData(this);
            if (dropdown.effectIn && dropdown.effectOut) {
                dropdownEffectEnd(dropdown, function() {});
            }
        },
        "hide.bs.dropdown":  function(e) {
            var dropdown = dropdownEffectData(this);
            if (dropdown.effectOut) {
                e.preventDefault();
                dropdownEffectStart(dropdown, dropdown.effectOut);
                dropdownEffectEnd(dropdown, function() {
                    dropdown.dropdown.removeClass('open');
                });
            }
        },
    });
});